#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <stdbool.h>

int main()
{
    long long n,l,i,p=-1,j=0,h;
    scanf("%lld",&n);
    scanf("%lld",&l);
    for(i=0;i<n;i++)
    {
        scanf("%lld",&h);
        if(h<=l && j==0)
        {
            p=i+1;
            j=1;
        }
    }
    printf("%lld",p);
}